:root{
    --text-color: #707070;
    --colore-primario: #293e7c;
    --btn-bg-color: #293e7c;
    --btnhover-bg-color: #203267;
    --btn-text-color: #ffffff;
    --border-radius: 0.25rem;
    --border-color: #cccccc;
    --sfondino: #F9F9F9;
    --light-text: #A4A4A4;
}

.btn-danger:not(:disabled):not(.disabled):active, .btn-danger:not(:disabled):not(.disabled).active, .show > .btn-danger.dropdown-toggle {
    color: #fff;
    background-color: var(--btnhover-bg-color);
    border-color: var(--btnhover-bg-color);
}
.btn-danger:not(:disabled):not(.disabled):active:focus, .btn-danger:not(:disabled):not(.disabled).active:focus, .show > .btn-danger.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgb(83 89 225 / 50%);
}

html, body {
    height: 100%;
    margin: 0;
}
body{
    color: #313131;
}
.wrapper {
    min-height: 100%;
    display: flex;
    flex-direction: column;
}

div.carousel-inner {
    height: 400px;
}
div.carousel {
    background: gray !important;
}
div.carousel-item {
    transition: opacity 0.15s ease-in-out;
    height: 100%; /* L'item deve occupare tutta l'altezza del suo genitore */
    display: flex; /* Usa flexbox per centrare l'immagine */
    align-items: center; /* Centra verticalmente */
    justify-content: center; /* Centra orizzontalmente */
}

div.carousel-item img {
    width: 100%; /* L'immagine prende tutta la larghezza disponibile */
    height: 100%; /* L'immagine prende tutta l'altezza disponibile */
    object-fit: cover; /* Questo è il segreto! */
    object-position: center; /* Centra l'immagine all'interno del suo contenitore */
}
button.carousel-control-prev, button.carousel-control-next {
    background: transparent;
    color: transparent;
    border: 0;
    z-index: 5;
}
button.carousel-control-next {
    display: flex;
    flex-direction: row-reverse;
}
.carousel-controller > button:focus-visible {
    border: 1px solid white;
}

header {
    position: absolute;
    margin: 0 auto;
    width: 100%;
    min-height: 400px;
    display: flex;
    flex-direction: column;
    z-index: 3;
}
header:before {
    content: "";
    display: block;
    width: 100%;
    height: 90px;
    top: 0;
    left: 0;
    position: absolute;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0));
}


header .col-6:has(.navbar){
    padding-top: 20px;
}
header .col-6:has(.navbar) a{ color: #ffffff}
header .col-6:has(.navbar) .dropdown-menu a { color: var(--text-color)}
@media (min-width: 992px) {
    .navbar-expand-lg .navbar-nav {
        -ms-flex-direction: row;
        flex-direction: row;
    }
}
/*quick reserve*/

.btn {
    font-family: "Noto Sans", sans-serif;
}
.btn.dropdown-toggle{
    padding: 0.375rem 0.75rem;
}
i.fa-sharp.fa-light.fa-location-dot.fa-lg {
    font-size: 21px;
}
.quick_form_label {
    font-size: 13px;
}
.quick_form_value {
    font-size: 13px;
    font-weight: 600
}
.eta_bambini {
    font-size: 12px;
    font-weight: 400;
}
.dropdown.destination {
    padding: 0.375rem 0.75rem;
}
.dropdown-menu.destination-dropdown {
    display: none;
}
.quick_form_value span.select2-container {
    width: 100% !important;
}
span.select2-dropdown.select2-dropdown--below {
    width: 50vw !important;
}
.select2-result-search_element.clearfix {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    padding: 5px 0;
}
.select2-result-search_element.clearfix > * {
    padding-left: 10px;
}
.select2-result-search_element__icon:has(.fa-hotel) {
    padding-left: 8px;
    padding-right: 2px;
}
.quick_form_value input{
    width: 100%;
    border: 1px solid var(--border-color);
    padding: 3px 5px; border-radius: 5px;
}
.guest-selector-dropdown {
    max-height: 60vh;
    overflow-y: auto;
}
#quick-reserve-top button.limited i {
    color: gray;
    cursor: not-allowed;
}
#quick-reserve-top .btn-group{
    width: 100%;
}

.align-items-baseline:has(.prezzo-min){
    display: flex;
    justify-content: flex-end;
}
.align-items-baseline .prezzo-min{
    margin-right: 10px;
}
.align-items-baseline .prezzo-min span{
    color:var(--btn-bg-color);
    font-weight: bold;
}
.HotelNameList h2 {
    font-size: 20px;
    text-transform: uppercase;
    font-family: "Montserrat", sans-serif;
    display: flex;
}
.button-bar{justify-content: flex-end;}

#quick-reserve-top form{
    background: rgba(255, 255, 255, 0.9);
}

.btn-primary{
    background: var(--btn-bg-color);
    border-color: var(--btn-bg-color);
}


#header-top{
    flex: 1;
}

#logo{
    padding:15px 0;
    position: relative;
}
span.logodesc {
    color: #FFFFFF;
    font-size: 15px;
    position: absolute;
    left: 60px;
    top: 55px;
    white-space: nowrap;}

main{
    flex: 1; /* Spinge il footer in fondo */
}
#convenzioni .container .row{padding: 0 10px;}
#convenzioni .container .col-12 {background: #ceeaf4; border-radius: 8px;}
.pulsante-convenzioni, .pulsante-convenzioni:hover{ display: inline-block; padding:3px 10px; border-radius: 20px; background-color: #293e7c; color: #FFFFFF; border: 0}


footer{
    background-color: #F1F1F1;
    padding: 20px 0;
    margin-top: 30px;
}
#footer-title{
    font-size: 18px;
    font-weight: bold;
    padding: 20px 0 10px;
}
footer .footer_links a, footer .footer_links button {
    color: #222222;
    text-decoration: none;
    padding: 0 3px;
    border:0;
    font-size: 13px;
    font-family: "Montserrat", sans-serif;
}
.spacer{
    width: 100px;
    display: block;
    margin: 10px auto;
    height: 1px;
    background-color: #cc0000;
}
.subtitle{color:#707070}

.swiper {
    padding: 20px 0 !important;
    z-index: 0;
}
.swiper-slide {
    display: flex;
}
.swiper-button-next, .swiper-button-prev {
    color: var(--text-color) !important;
}

.custom-card {
    width: 180px;
    height: 200px;
    border-radius: 8px;
    overflow: hidden;
    position: relative;
    box-shadow: 0 2px 10px rgba(0,0,0,0.1);
    margin: auto;
    cursor: pointer;
}

/* No Image Available */
.custom-card-placeholder {
    background: #eee;
}

.custom-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.custom-card-title {
    position: absolute;
    bottom: 10px;
    left: 10px;
    color: white;
    font-weight: bold;
    font-size: 0.9rem;
    text-shadow: 0 0 5px rgba(0,0,0,0.7);
}

.swiper-button-next,
.swiper-button-prev {
    color: #000;
}
.bottone-cerca a.btn{
    text-transform: uppercase!important;
    padding-left: 30px!important;
    padding-right: 30px!important;
}

.modal-body h5 {
    padding-bottom: 10px;
}
#convention-modal-generic .modal-convention-data img,
#enti-convenzionati-modal .modal-convention-data img {
    padding: 20px;
    background: #00599b;
    border-radius: 10px;
}
#enti-convenzionati-modal .modal-body {
    max-height: 70vh;
    overflow-y: auto;
}
#enti-convenzionati-modal .modal-body .accordion-body img {
    width: 80px;
    height: 80px;
}
.carousel-controller {
    position: absolute;
    right: 0;
    bottom: 0;
    color: #FFFFFF;
    z-index: 100;
    display: flex;
    flex-direction: column;
}
.carousel-controller .btn{
    color: #ffffff;
}
.navbar .container-lg{
    justify-content: flex-end;
}
.navbar .navbar-toggler{
    color:#FFFFFF
}
#box-convenzioni .modal-body img{
    max-height: 250px;
    width: auto;
    max-width: 500px;
}
#box-convenzioni .modal-body input{
    text-align: center;
    padding: 10px;
    line-height: initial;
    height: auto;
}
div#box_convenzioni {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}
.convention_card {
    padding: 20px;
    width: auto !important;
}
.convention_card .custom-card {
    width: 180px !important;
    height: 200px !important;
}
div#home_clone_desc_primary {
    text-align: left;
    font-size: 15px;
    padding: 30px;
}

@media (max-width: 992px) {
    .custom-card {
        width: 140px;
        height: 140px;
    }
    div.carousel {
        z-index: -1;
    }
    div.carousel button{
        display: none;
    }
    #navbarNavDropdown{
        background-color: #ffffff;
        color: #333333;
        text-align: right;
        padding: 8px;
        border-radius: 5px;
        position: absolute;
        top: 40px;
        width: 270px;
        box-shadow: 0 2px 10px rgba(0,0,0,0.1);
    }
    #navbarNavDropdown a{
        color: #333333;
    }
    .nav-item:not(:last-child) {
        border-right: 0;
    }
    #navbarNavDropdown .nav-item{
        padding: 5px;
        display: flex   ;
        justify-content: center;
    }
    .dropdown-menu.language_picker {
        display: flex !important;
        border: 0;
        padding: 0;
        margin: 0;
        font-size: 14px;
        justify-content: space-around;
    }
    .dropdown-menu.language_picker .dropdown-item{
        border: 1px solid #efefef;
        border-radius: 5px;
        padding:0.25rem 1rem;
        line-height: 1rem;
    }
    a.nav-link.dropdown-toggle{
        display: none;
    }
    li.nav-item:first-child {
        border-bottom: 1px solid #efefef;
    }

}
.swiper-button-next, .swiper-rtl .swiper-button-prev {
    right: var(--swiper-navigation-sides-offset, 0)!important;
    left: auto;
}
.swiper-button-prev, .swiper-rtl .swiper-button-next {
    left: var(--swiper-navigation-sides-offset, 0)!important;
    right: auto;
}

:root {
    --swiper-navigation-size: 28px!important;
}
@media (max-width: 576px) {
    .custom-card {
        width: 120px;
        height: 120px;
    }
    #carouselFade button{display: none;}
    h3 {
        font-size: 1.4rem;
    }
    .swiper-button-prev:after, .swiper-rtl .swiper-button-prev:after,
    .swiper-button-next:after, .swiper-rtl .swiper-button-next:after {
        font-size: 24px !important;
    }

    #box-convenzioni .modal-body input {
        width: 80% !important;
    }

    #box-convenzioni .modal-body img {
        max-height: none;
        width: auto;
        max-width: 100%;
    }
}
